Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.TreeSelectionHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTreeUI.TreeSelectionHandler

All Implemented Interfaces:
  EventListener, TreeSelectionListener

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.TreeSelectionHandler
extends Object
implements TreeSelectionListener

Listens for changes in the selection model and updates the display accordingly.

Constructor Summary
`BasicTreeUI.TreeSelectionHandler()`

Method Summary
`void` | `valueChanged(TreeSelectionEvent event)` Messaged when the selection changes in the tree we're displaying for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.TreeSelectionHandler

    public BasicTreeUI.TreeSelectionHandler()

Method Detail

### valueChanged

    public void valueChanged(TreeSelectionEvent event)

  Messaged when the selection changes in the tree we're displaying for. Stops editing, messages super and displays the changed paths.
  Specified by:
    `valueChanged` in interface `TreeSelectionListener`
  Following copied from interface: `javax.swing.event.TreeSelectionListener`
  Parameters:
    `e` - the event that characterizes the change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.